 //
//  ViewController.m
//  SDPagesSelector
//
//  Created by 宋东昊 on 16/7/17.
//  Copyright © 2016年 songdh. All rights reserved.
//

#import "ViewController.h"
#import "SDCursorView.h"
#import "ShowViewController.h"
#import "Masonry.h"
@interface ViewController ()
@property (nonatomic, strong) ZHMenuPageScrollView *navSliderBar;
@property (nonatomic, strong) NSArray *pagesArray;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor whiteColor];
    [self setUpNavSliderBar];
}

- (void)setUpNavSliderBar {
    self.navSliderBar.pageMenus = self.pagesArray;
    [self.navSliderBar updateSelectedPage];
}

- (ZHMenuPageScrollView *)navSliderBar {
    if (!_navSliderBar) {
        NSMutableArray *contrors = [NSMutableArray array];
        for (NSString *title in self.pagesArray) {
            ShowViewController *controller = [[ShowViewController alloc]init];
            controller.content = title;
            [contrors addObject:controller];
        }
        _navSliderBar = [[ZHMenuPageScrollView alloc]initWithParentController:self MenusPages:contrors];
        _navSliderBar.menuPageControllers = [contrors copy];
        [self.view addSubview:_navSliderBar];
        [_navSliderBar mas_makeConstraints:^(MASConstraintMaker *make) {
            make.leading.equalTo(self.view);
            make.width.equalTo(self.view);
            make.height.mas_equalTo(40);
            make.top.equalTo(self.view).offset(20);
        }];
        MASAttachKeys(_navSliderBar);
    }
    return _navSliderBar;
}

- (NSArray *)pagesArray {
    if (!_pagesArray) {
        _pagesArray = [NSArray arrayWithObjects:@"头条",@"大数据股票财经",@"精选",@"娱乐视",@"热点点附近会计分录的",@"体育",@"科技",@"汽车", nil];
    }
    return _pagesArray;
}
@end
